#!/bin/bash

set -e -u;

if [ $# -eq 1 ]; then
    cd "$1";
fi

PREFIX=release;
CONF_SCRIPT="configure.sh";

git pull --tags > /dev/null;
TAG=$(git tag --list | grep "^$PREFIX-" | sort -r | head -n 1);
if git verify-tag --raw "$TAG" 2>&1 | grep "TRUST_ULTIMATE" > /dev/null; then
    git checkout -q "$TAG";
    if [ -f "$CONF_SCRIPT" ]; then
        ./$CONF_SCRIPT;
    fi
else
    echo "Invalid or missing signature for $TAG" >&2;
    exit 1;
fi
